import { Build, h } from "@stencil/core";
export class AppCompany {
  constructor() {
    this.companyId = undefined;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" }, h("floodteam-title-bar", null, h("ion-router-link", { href: "/companies" }, "Companies")), h("floodteam-company-flow", { companyId: this.companyId && this.companyId !== "new" ? this.companyId : null, endpoint: this.companyId && this.companyId !== "new"
          ? "editCompany"
          : "addCompany" })),
      h("floodteam-navigation-footer", null),
    ];
  }
  static get is() { return "app-company"; }
  static get originalStyleUrls() {
    return {
      "$": ["app-company.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["app-company.css"]
    };
  }
  static get properties() {
    return {
      "companyId": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "company-id",
        "reflect": false
      }
    };
  }
}
